Package org.postgresql.util

# Class PGbytea

java.lang.Object
org.postgresql.util.PGbytea

public class PGbytea extends Object
Converts to and from the postgresql bytea datatype used by the backend.

## Constructor Summary

Constructors
Constructor
Description
`PGbytea()`

## Method Summary

Modifier and Type
Method
Description
`static byte @PolyNull []`
`toBytes(byte @PolyNull [] s)`
`static @PolyNull String`
`toPGString(byte @PolyNull [] buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PGbytea

public PGbytea()

## Method Details

### toBytes

public static byte @PolyNull [] toBytes(byte @PolyNull [] s) throws SQLException

Throws:
  `SQLException`

### toPGString

public static @PolyNull String toPGString(byte @PolyNull [] buf)